## fonts-iosevka 22.0.0%2Bds

=== node_modules/unicoderegexp/Makefile ===
.PHONY: all test

all: test

test:
	./node_modules/.bin/mocha -R spec

.PHONY: git-hook
git-hook:
	echo make git-pre-commit > .git/hooks/pre-commit
	chmod +x .git/hooks/pre-commit

.PHONY: git-pre-commit
git-pre-commit: test

## fonts-iosevka 22.0.0+ds

=== node_modules/esmangle/Makefile ===
CJSIFY=node_modules/.bin/cjsify --minify

default:
bundle: esmangle.js

esmangle.js: lib/esmangle.js
	$(CJSIFY) -x esmangle lib/esmangle.js >"$@"

.PHONY: clean

clean:
	rm -f esmangle.js

=== debian/changelog ===
fonts-iosevka (22.0.0+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #973995)

 -- Alex Myczko <tar@debian.org>  Tue, 02 Dec 2025 16:52:59 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
#	npm install verda
	-npm run build -- ttf::iosevka

## fonts-iosevka 33.2.9

=== debian/changelog ===
fonts-iosevka (33.2.9-gsd1) stable; urgency=medium

  * New upstream version

 -- Maciej Krawiec <142805+mkrawiec@users.noreply.github.com>  Wed, 03 Sep 2025 19:28:47 +0200

fonts-iosevka (20.0.0-gsd1) stable; urgency=medium

  * Udpate upstream version

 -- Maciek Krawiec <142805+mkrawiec@users.noreply.github.com>  Mon, 06 Mar 2023 19:41:51 +0100

fonts-iosevka (15.5.2-gsd1) stable; urgency=medium

  * Initial release

 -- Maciek Krawiec <142805+mkrawiec@users.noreply.github.com>  Mon, 06 Mar 2023 18:58:32 +0100

=== debian/control ===
Source: fonts-iosevka
Section: fonts
Priority: optional
Maintainer: Maciej Krawiec <maciek@unknown>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Homepage: https://github.com/be5invis/Iosevka
Rules-Requires-Root: no

Package: fonts-iosevka
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Slender typeface for code, from code
 This typeface contains 9 weights (Thin to Heavy) alongside with both italic
 and oblique versions, with the same metrics as the regular one.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_install:
	dh_install

=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/be5invis/Iosevka/releases?per_page=50
Matching-Pattern: https://github.com/be5invis/Iosevka/releases/download/v[\d.]+/PkgTTF-Iosevka-@ANY_VERSION@.zip
Filenamemangle: s/PkgTTF-Iosevka-([\d.]+)\.zip/iosevka-$1.zip/
Searchmode: plain

## fonts-iosevka 34.1.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: fonts-iosevka
 Section: fonts
 Priority: optional
-Maintainer: Maciej Krawiec <maciek@unknown>
-Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
+Uploaders: Alex Myczko <tar@debian.org>
+Build-Depends: debhelper-compat (= 13), npm, ttfautohint
+# verda
+Standards-Version: 4.7.3
 Homepage: https://github.com/be5invis/Iosevka
-Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/fonts-team/fonts-iosevka.git
+Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-iosevka
 
 Package: fonts-iosevka
 Architecture: all

## fonts-iosevka 34.1.0+ds

=== debian/changelog ===
fonts-iosevka (34.1.0+ds-3) unstable; urgency=medium

  * d/copyright: improved. (Closes: #1128629)

 -- Alex Myczko <tar@debian.org>  Wed, 25 Feb 2026 21:20:48 +0000

fonts-iosevka (34.1.0+ds-2) experimental; urgency=medium

  * d/install: fixed.

 -- Alex Myczko <tar@debian.org>  Sun, 22 Feb 2026 09:20:41 +0000

fonts-iosevka (34.1.0+ds-1) experimental; urgency=medium

  * d/copyright: bump year.
  * Bump standards version to 4.7.3.
  * d/control: drop Rules-Requires-Root.
  * d/rules: updated for newer version.
  * d/clean: updated.

 -- Alex Myczko <tar@debian.org>  Sat, 21 Feb 2026 20:30:34 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	cp build-plans.toml private-build-plans.toml

override_dh_auto_build:
#	npm install verda
	-npm run build -- contents::Iosevka
#	-npm run build -- ttf::Iosevka

=== debian/watch ===
Version: 5

# GitHub hosted projects
Template: Github
Dversionmangle: s/\+ds$//
Owner: be5invis
Project: Iosevka
Repacksuffix: +ds
